<?xml version="1.0" encoding="UTF-8"?>
<page xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" layout="admin-2columns-left" xsi:noNamespaceSchemaLocation="urn:magento:framework:View/Layout/etc/page_configuration.xsd">
    <update handle="editor"/>
    <body>
        <referenceContainer name="content">
            <block class="FiloBlu\Flow\Block\Adminhtml\Channel\Edit" name="flow_channel_edit"/>
        </referenceContainer>
        <referenceContainer name="left">
            <block class="FiloBlu\Flow\Block\Adminhtml\Channel\Edit\Tabs" name="flow_channel_edit_tabs">

                <block class="FiloBlu\Flow\Block\Adminhtml\Channel\Edit\Tab\General" name="flow_channel_edit_tab_general"/>
                <action method="addTab">
                    <argument name="name" xsi:type="string">general_section</argument>
                    <argument name="block" xsi:type="string">flow_channel_edit_tab_general</argument>
                </action>

                <block class="FiloBlu\Flow\Block\Adminhtml\Channel\Edit\Tab\Config" name="flow_channel_edit_tab_config"/>
                <action method="addTab">
                    <argument name="name" xsi:type="string">config_section</argument>
                    <argument name="block" xsi:type="string">flow_channel_edit_tab_config</argument>
                </action>

                <block class="FiloBlu\Flow\Block\Adminhtml\Channel\Edit\Tab\Connector" name="flow_channel_edit_tab_connector"/>
                <action method="addTab">
                    <argument name="name" xsi:type="string">connector_section</argument>
                    <argument name="block" xsi:type="string">flow_channel_edit_tab_connector</argument>
                </action>

                <block class="FiloBlu\Flow\Block\Adminhtml\Channel\Edit\Tab\Parser" name="flow_channel_edit_tab_parser"/>
                <action method="addTab">
                    <argument name="name" xsi:type="string">parser_section</argument>
                    <argument name="block" xsi:type="string">flow_channel_edit_tab_parser</argument>
                </action>

                <block class="FiloBlu\Flow\Block\Adminhtml\Channel\Edit\Tab\Map" name="flow_channel_edit_tab_map"/>
                <action method="addTab">
                    <argument name="name" xsi:type="string">map_section</argument>
                    <argument name="block" xsi:type="string">flow_channel_edit_tab_map</argument>
                </action>
                <!--CedAddTab-->
            </block>
        </referenceContainer>
    </body>
</page>
